Subject: Re: bug#31091: 25.2: Feature Request: auto exit upon memory exhaustion warning

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Apr 2018 15:58:14 +0300

> Date: Sun, 8 Apr 2018 03:22:23 -0400
> From: Boruch Baum <[email-masked]>
> 
> I would like to suggest a optional feature to automatically save
> buffers and shut down emacs / emacs-server when this condition occurs.
> The user could toggle its operation by manipulating a boolean variable.

FWIW, I consider automatic shutdown in this case a misfeature, because
this is likely to shut down a session due to some memory-related bugs
more than anything else.  But if others would like that, I won't block
adding it as an opt-in option.

I do agree with Andreas that normally a system will start paging long
before the virtual memory threshold for that warning is exceeded.